var viewportwidth,
	viewportheight;
function resize() {
	viewportheight=$(window).height();
	viewportwidth=$(window).width();
	if(window.navigator.userAgent.indexOf("MSIE")>0){
		windH=document.clientHeight;
		windW=document.clientWidht;
	}
}
$(document).ready(function(){
	$(document).on('click', '.orbit-bar-member', function(){
		$(this).hasClass('open') ? $(this).removeClass('open') : $(this).addClass('open');
		$('.bar-login .dropdown-menu').toggle();
		return false;
	});

	$(document).click(function() {
		$('.orbit-bar-member').removeClass("open");
		$('.bar-login .dropdown-menu').hide();
	});

	$(document).on('click', '.bar-login .dropdown-menu', function(e) {
		e.stopPropagation();
		$('.bar-login .dropdown-menu').show();
	});
	
	$('.tip').tooltip({
		placement: "left"
	});
	
	$(document).on('click', '.privacy', function() {
		switch ($(this).val()) {
			case 'true':
			$(this).parents('.controls').children('.select-role').slideUp(300);
			break;
			case 'false':
			$(this).parents('.controls').children('.select-role').slideDown(300);
			break;
		}
	});

	$(document).on('click', '.sort-header > .sort', function() {
		$.getScript($(this).attr('rel'));
	});

	/*tinyscrollbar&windows-Size*/
	resize();
	var $mainWrapMarginLeft = parseInt($('#main-wrap').css("margin-left"))-2;
	$('#main-sidebar').css("height", viewportheight-30);
	$('#main-sidebar .viewport').css("height", viewportheight-30);
	$('.post-title').css("width", viewportwidth-495);
	$('#main-wrap > .subnav').css("width", viewportwidth-$mainWrapMarginLeft)
	$('#main-sidebar').tinyscrollbar();
	$('.detal-list').tinyscrollbar();
	$('#main-sidebar').tinyscrollbar({size:(viewportheight-34)});
	mainTablePosition()

	/*isotope*/
  var $container = $('#isotope');
  $container.isotope({
      itemSelector : '.item',
      layoutMode : 'masonry',
  });
	
	
});
$(window).resize(function(){
	resize();
	var $mainWrapMarginLeft = parseInt($('#main-wrap').css("margin-left"))-2;
	$('#main-sidebar').css("height", viewportheight-30);
	$('#main-sidebar .viewport').css("height", viewportheight-30);
	$('.post-title').css("width", viewportwidth-495);
	$('#main-wrap > .subnav').css("width", viewportwidth-$mainWrapMarginLeft)
	$('#main-sidebar').tinyscrollbar({size:(viewportheight-34)});
	mainTablePosition()
});
/*main-table position*/
function mainTablePosition() {
	var $height = $('#main-wrap > .subnav').height()
	var $table = $('#main-wrap > .table')
	//alert ($table.height())
	$table.stop().animate({marginTop:$height},500)
	//$table.css({marginTop : $height})
}
$(window).scroll(function () {
	//var $mainWrapMarginLeft = parseInt($('#main-wrap').css("margin-left"))-1;
	//var $subnavWidth = parseInt($('#main-wrap > .subnav').css("width"));
	var $winLeft = $(window).scrollLeft()
	$(".table-label").css({left:$winLeft*-1} );
	//$(".table-label").css({left:$mainWrapMarginLeft+($winLeft*-1)} );
	//$("#main-wrap > .subnav").css({width:$subnavWidth+($winLeft)} );
	//console.log($mainWrapMarginLeft+($winLeft*-1)+5);
});
